import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class KlassenListeEintrag extends JavaObject {
    id: number;
    kuerzel: String | null;
    idJahrgang: Number | null;
    parallelitaet: String | null;
    sortierung: number;
    istSichtbar: boolean;
    klassenLehrer: Vector<Number | null> | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KlassenListeEintrag;
    static transpilerToJSON(obj: KlassenListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<KlassenListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_klassen_KlassenListeEintrag(obj: unknown): KlassenListeEintrag;
